<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    protected $fillable = [
        'name',
        'email',
        'password',
        'role',
        'teacher_id',
    ];

    protected $hidden = [
        'password',
        'remember_token',
    ];

    protected function casts(): array
    {
        return [
            'email_verified_at' => 'datetime',
            'password'          => 'hashed',
        ];
    }

    // Relasi ke data guru
    public function teacher()
    {
        return $this->belongsTo(Teacher::class);
    }

    public function isAdmin(): bool   { return $this->role === 'admin'; }
    public function isGuru(): bool    { return $this->role === 'guru'; }
    public function isKepsek(): bool  { return $this->role === 'kepsek'; }
}
